Skip to main content
GET
Resolve

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

Query Parameters

idempotencyKey
string
required

The exact key sent with executions.create.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]+$

Response

The execution created by that request.

id
string
required
status
enum<string>
required
Available options:
starting,
running,
succeeded,
failed,
cancelled,
timed_out
image
string
required
command
string[]
required
region
string
required
resources
object
required
runtime
object
required
timeoutSeconds
integer
required
exitCode
integer | null
required
errorCode
string | null
required
cleanupStatus
enum<string>
required
Available options:
pending,
confirmed,
attention_required
createdAt
string<date-time>
required
startedAt
string<date-time> | null
required
finishedAt
string<date-time> | null
required